aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.bash_utils/text.sh
diff options
context:
space:
mode:
Diffstat (limited to '.bash_utils/text.sh')
-rw-r--r--.bash_utils/text.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.bash_utils/text.sh b/.bash_utils/text.sh
index 5a678ee..cb34073 100644
--- a/.bash_utils/text.sh
+++ b/.bash_utils/text.sh
@@ -25,3 +25,17 @@ lint() {
doslint() {
trim "$@" && trimdoseol "$@" && doseol "$@"
}
+
+replace_word() (
+ set -o errexit -o nounset -o pipefail
+
+ if [ "$#" -lt 3 ]; then
+ echo "usage: ${FUNCNAME[0]} OLD NEW PATH [PATH...]" >&2
+ return 1
+ fi
+
+ local old="$1"
+ local new="$2"
+
+ shift && shift && sed --binary --in-place "s/\\b$old\\b/$new/g" "$@"
+)